apiVersion: apps/v1
kind: Deployment
metadata:
  name: transmission
spec:
  template:
    spec:
      containers:
        - name: transmission-openvpn
          volumeMounts:
            - name: home
              mountPath: /data
            - name: download
              mountPath: /data/download
            - name: movies
              mountPath: /data/movies
            - name: series
              mountPath: /data/series
      volumes:
        - name: home
          hostPath:
            path: /k8s/transmission/transmission-legacy
        - name: download
          nfs:
            path: /download
            server: nas.davinkevin.lan
        - name: movies
          nfs:
            path: /movies
            server: nas.davinkevin.lan
        - name: series
          nfs:
            path: /series
            server: nas.davinkevin.lan
